Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.lang3.text.translate
Enum NumericEntityUnescaper.OPTION

    java.lang.Object
      java.lang.Enum<NumericEntityUnescaper.OPTION>
          org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION

All Implemented Interfaces:
  Serializable, Comparable<NumericEntityUnescaper.OPTION>

Enclosing class:
  NumericEntityUnescaper

    public static enum NumericEntityUnescaper.OPTION

extends Enum<NumericEntityUnescaper.OPTION>

Enum Constant Summary
`errorIfNoSemiColon`
`semiColonOptional`
`semiColonRequired`

Method Summary
`static NumericEntityUnescaper.OPTION` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NumericEntityUnescaper.OPTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### semiColonRequired

    public static final NumericEntityUnescaper.OPTION semiColonRequired

### semiColonOptional

    public static final NumericEntityUnescaper.OPTION semiColonOptional

### errorIfNoSemiColon

    public static final NumericEntityUnescaper.OPTION errorIfNoSemiColon

Method Detail

### values

    public static final NumericEntityUnescaper.OPTION[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NumericEntityUnescaper.OPTION c : NumericEntityUnescaper.OPTION.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NumericEntityUnescaper.OPTION valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.